package com.zm.order.tool.server.design;

import com.zm.order.tool.server.model.Order;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author penghui
 */
@Repository
public interface DesignOrderDao {

    List<Order> selectListById(@Param("lastId") Long lastId);

    Order selectOne(@Param("id") Long id);

    int insert(Order record);

    int updateBatchOrderInfo(@Param("list")List<Order> order);
}